petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatViewFromOptions

View from Options

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatViewFromOptions(Mat A,PetscObject obj,const char name[])

Collective on Mat

### Input Parameters

| A | - the Mat context
| obj | - Optional object
| name | - command line option

### See Also

Mat, MatView, PetscObjectViewFromOptions(), MatCreate()

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Examples

src/mat/tutorials/ex10.c.html
src/ksp/ksp/tutorials/ex29.c.html
src/ksp/ksp/tutorials/ex34.c.html
src/ksp/ksp/tutorials/ex42.c.html
src/ksp/ksp/tutorials/ex71.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages